Version: 0.14
%define SubVer  beta4
Release: alt0.8.%{SubVer}
Name: emacs-speedbar
Copyright: GPL
Group: Editors
Url: http://cedet.sourceforge.net/speedbar.shtml
Summary: Speedbar package for Emacs
Summary(ru_RU.CP1251):  Speedbar  Emacs

Requires: emacs-common emacsen-startscripts
Source: speedbar-%{version}%{SubVer}.tar.gz
Source1: speedbar-emacs.el
Patch: speedbar-makefile.patch

BuildArch: noarch

# Automatically added by buildreq on Thu Jul 18 2002
BuildRequires: emacs-common emacsen-startscripts 

%description
Speedbar is a program for Emacs which can be used to summarize
information related to the current buffer.

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.CP1251
Speedbar   Emacs   , 
   .

   Emacs Lisp ,      
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description el -l ru_RU.CP1251
 %name-el      %name,  
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n speedbar-%{version}%{SubVer}
%patch -p1

%build
make
make opt

%install
mkdir -p %buildroot%{_emacslispdir}/speedbar
install -m 644 *.el* %buildroot%{_emacslispdir}/speedbar
install -m 644 *.xpm %buildroot%{_emacslispdir}/speedbar

mkdir -p %buildroot%{_infodir}
install -m 644 *.info* %buildroot%{_infodir}

mkdir -p %buildroot/etc/emacs/site-start.d
install -m 644 %SOURCE1 %buildroot/etc/emacs/site-start.d/21speedbar.el

%clean

%post
%install_info speedbar.info

%preun
%uninstall_info speedbar.info

%files
%defattr(-, root, root)
%doc INSTALL ChangeLog
%{_infodir}/*
%{_emacslispdir}/speedbar/*.elc
/etc/emacs/site-start.d/*

%files el
%{_emacslispdir}/speedbar/*.el

%changelog
* Mon Sep 15 2003 Ott Alex <ott@altlinux.ru> 0.14-alt0.8.beta4
- fixing spec

* Mon Feb 17 2003 Ott Alex <ott@altlinux.ru> 0.14-alt0.7.beta4
- Fixing spec file

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 0.14-alt0.6.beta4
- fixing spec

* Tue Aug 27 2002 Ott Alex <ott@altlinux.ru> 0.14-alt0.4.beta4
- Fixing Makefile & spec

* Thu Aug 22 2002 Ott Alex <ott@altlinux.ru> 0.14-alt0.3.beta4
- Splitting on byte-compiled & source packages

* Tue Aug 06 2002 Ott Alex <ott@altlinux.ru> 0.14-alt0.2.beta4
- Adding right Requires to spec

* Thu Jul 18 2002 Ott Alex <ott@altlinux.ru> 0.14-alt0.1.beta4
- Initial build

